[SRU] Tracker for 12.04 Openstack Updates

Bug #1010473 reported by Chuck Short on 2012-06-08
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
glance (Ubuntu)
High
Unassigned
keystone (Ubuntu)
High
Unassigned
nova (Ubuntu)
High
Chuck Short

Bug Description

This bug is used to keep track of SRU bugs that have been fixed in the SRU releases Openstack on 12.04, the packages affected are: nova, glance, and keystone.

nova
------

* Create a utf8 version of the dns_domains table. (LP: #993663)
* Report memory correctly on Xen. (LP: #997014)
* Add libvirt get_console_output tests: pty and file. (LP: #990237)
* Fix Multi_Scheduler to process host capabilities. (LP: #1000403)
* Nail pep8 dependencies to 1.0.1
* handle updated qemu-img info output. (LP: #1000261)
* Fix type of snapshot_id column to match db. (LP: #962615)
* Generate a Changelog for Nova
* e5e890f Fix nova.tests.test_nova_rootwrap on Fedora 17. (LP: #992916)
* Ec2 handle strings with "0x" (LP: #983206)
* QuantumManager will start dnsmasq during startup. Fixes (LP: #977759)
* Introduced flag base_dir_name. (LP: #973194)
* Get unit tests functional in OS X.
* Update KillFilter to handle 'deleted' exe's. (LP: #967931)
* Checks if value is string or not before decode. (LP: #952176)
* Fix timeout in EC2 CloudController.create_image(). (LP: #989764)
* Re-add console_log from console_console_output(). (LP: #987335)
* Don't leak RPC connections on timeouts or other exceptions. (LP: #968843)
* Cloudpipe tap vpn not always working. (LP: #975043)
* add libvirt_inject_key flag fix (LP: #971640)
* Xen: Pass session to destroy_vdi. (LP: #988615)
* Delete fixed_ips when network is deleted. (LP: #754900)

Glance
--------

* Fix i18n in glance.notifier.notify_kombu. (LP: #983829)
* Omit Content-Length on chunked transfer. (LP: #981332)
* Fix content type for qpid notifier. (LP: #980872)
* search for logger in PATH. Fixes (LP: #978907)
* Ensure swift auth URL includes trailing slash. Fixes (LP: #979745)

Keystone
-------------

* Flush tenant membership deletion before use. (LP: #998137)
* Make import_nova_auth only create roles which don't already exist (LP: #959294)

The testing that was done for this release can be found at:

  https://jenkins.qa.ubuntu.com/view/Openstack%20Testing/view/Openstack%20Precise/view/Overview/job/precise-openstack-essex-deploy/18347/console

I will attach the debdiff to the bug report and build logs to this bug report shortly.

Chuck Short (zulcss) wrote :
Chuck Short (zulcss) wrote :
Chuck Short (zulcss) wrote :
Chuck Short (zulcss) on 2012-06-08
Changed in nova (Ubuntu):
milestone: none → ubuntu-12.04.1
assignee: nobody → Chuck Short (zulcss)
Chuck Short (zulcss) wrote :
Chuck Short (zulcss) wrote :
Chuck Short (zulcss) on 2012-06-11
Changed in nova (Ubuntu):
status: New → In Progress
Chuck Short (zulcss) on 2012-06-11
description: updated
Changed in nova (Ubuntu):
importance: Undecided → High
Chuck Short (zulcss) wrote :
Chuck Short (zulcss) on 2012-06-11
description: updated

Hello Chuck, or anyone else affected,

Accepted glance into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Chuck, or anyone else affected,

Accepted keystone into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Steve Langasek (vorlon) wrote :

Hello Chuck, or anyone else affected,

Accepted nova into precise-proposed. The package will build now and be available in a few hours. Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users. If this package fixes the bug for you please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case details of your testing will help us make a better decision. Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Dave Walker (davewalker) on 2012-07-03
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2012.1+stable~20120612-3ee026e-0ubuntu1

---------------
nova (2012.1+stable~20120612-3ee026e-0ubuntu1) precise-proposed; urgency=low

  * New upstream snapshot. (LP: #1010473)
  * Dropped, superseeded by new snapshot:
    - debian/patches/upstream/0001-fix-bug-where-nova-ignores-glance-host-in-imageref.patch
    - debian/patches/upstream/0002-Stop-libvirt-test-from-deleting-instances-dir.patch
    - debian/patches/upstream/0003-Allow-unprivileged-RADOS-users-to-access-rbd-volumes.patch
    - debian/patches/upstream/0004-Fixed-bug-962840-added-a-test-case.patch
    - debian/patches/upstream/0005-Populate-image-properties-with-project_id-again.patch
    - debian/patches/upstream/0006-Use-project_id-in-ec2.cloud._format_image.patc
    - debian/patches/CVE-2012-2101.patch
    - debian/patches/CVE-2012-2654.patch
  * Resynchronize with stable/essex:
    - 3ee026e Only invoke .lower() on non-None protocols. (LP: #1010514)
    - f0a9f47 Create a utf8 version of the dns_domains table. (LP: #993663)
    - 84a43e1 Report memory correctly on Xen. (LP: #997014)
    - 8c72924 Add libvirt get_console_output tests: pty and file. (LP: #990237)
    - 4e423cd Fix Multi_Scheduler to process host capabilities. (LP: #1000403)
    - 4aea7f1 Nail pep8 dependencies to 1.0.1
    - 2b3bbc4 handle updated qemu-img info output. (LP: #1000261)
    - 2d7d51c Fix type of snapshot_id column to match db. (LP: #962615)
    - ec70c69 Generate a Changelog for Nova
    - e5e890f Fix nova.tests.test_nova_rootwrap on Fedora 17. (LP: #992916)
    - 9e9a554 Ec2 handle strings with "0x" (LP: #983206)
    - 26dc6b7 QuantumManager will start dnsmasq during startup. Fixes (LP: #977759)
    - 7028d66 Introduced flag base_dir_name. (LP: #973194)
    - 76b525a Get unit tests functional in OS X.
    - facb936 Update KillFilter to handle 'deleted' exe's. (LP: #967931)
    - 1209af4 Checks if value is string or not before decode. (LP: #952176)
    - 1209af4 Fix timeout in EC2 CloudController.create_image(). (LP: #989764)
    - 108e74b Re-add console_log from console_console_output(). (LP: #987335)
    - 48a0768 Don't leak RPC connections on timeouts or other exceptions. (LP: #968843)
    - 7c64de9 Cloudpipe tap vpn not always working. (LP: #975043)
    - 5ab5051 add libvirt_inject_key flag fix (LP: #971640)
    - 6c68ef5 Xen: Pass session to destroy_vdi. (LP: #988615)
    - 015744e Delete fixed_ips when network is deleted. (LP: #754900)
  * Add debian/scripts/changelog.sh to help generate the changelog.
  * Add debian/nova-common.docs:
    - Include changelog and README.rst
  * debian/rules: Generate a tarball from git snapshot.
  * debian/patches/fix-pep8-errors.patch: Fix pep8 errors due to pep8 upstream
    migration.
 -- Chuck Short <email address hidden> Tue, 05 Jun 2012 09:50:59 -0400

Changed in nova (Ubuntu):
status: In Progress → Fix Released
Dave Walker (davewalker) on 2012-07-07
Changed in keystone (Ubuntu):
importance: Undecided → High
Changed in glance (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 2012.1+stable~20120608-aff45d6-0ubuntu1

---------------
keystone (2012.1+stable~20120608-aff45d6-0ubuntu1) precise-proposed; urgency=low

  * New usptream snapshot. (LP: #1010473)
  * Resynchronize with stable/essex:
    - aff45d6 - Make import_nova_auth only create roles which don't already exist
      (LP: #959294)
  * debian/patches/0013-Flush-tenant-membership-deletion-before-user.patch: Backported
    fix for "Flush tenant membership deletion before user." (LP: #998137)
 -- Chuck Short <email address hidden> Tue, 05 Jun 2012 11:24:02 -0400

Changed in keystone (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 2012.1+stable~20120608-5462295-0ubuntu2.2

---------------
glance (2012.1+stable~20120608-5462295-0ubuntu2.2) precise-proposed; urgency=low

  * New usptream snapshot. (LP: #1010473)
  * Resynchronize with stable/essex:
   - 5462295 Fix i18n in glance.notifier.notify_kombu. (LP: #983829)
   - 7a9e3a7 Omit Content-Length on chunked transfer. (LP: #981332)
   - 5838b63 Fix content type for qpid notifier. (LP: #980872)
   - 98913da search for logger in PATH. Fixes (LP: #978907)
   - f136e7e Ensure swift auth URL includes trailing slash. Fixes (LP: #979745)
  * debian/rules: Add ability to build tarballs from a git snapshot.
  * debian/patches/fix-pep8-ubuntu.patch: Fix pep8 errors.
 -- Chuck Short <email address hidden> Tue, 05 Jun 2012 10:43:12 -0400

Changed in glance (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers